# $Revision: 1.15 $, $Date: 2011/08/31 18:32:46 $
Summary:	Tools for accessing CP/M file systems
Summary(pl.UTF-8):	Narzędzia pozwalające na dostęp do systemów plików CP/M
Name:		cpmtools
Version:	2.13
Release:	3
License:	GPL v3+
Group:		Applications
Source0:	http://www.moria.de/~michael/cpmtools/%{name}-%{version}.tar.gz
# Source0-md5:	d0622e33c80d2abb44cbe2e844285ce6
Patch0:		%{name}-DESTDIR.patch
Patch1:		%{name}-link.patch
URL:		http://www.moria.de/~michael/cpmtools/
BuildRequires:	autoconf >= 2.13
BuildRequires:	libdsk-devel
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package allows to access CP/M file systems similar to the
well-known mtools package, which accesses MSDOS file systems. It's
used mainly for file exchange with a Z80-PC simulator, but it works on
floppy devices as well.

%description -l pl.UTF-8
Ten pakiet pozwala na dostęp do systemów plików CP/M w sposób podobny
do dobrze znanego pakietu mtools, który pozwala na dostęp do systemów
plików MSDOS. Pakiet ten służy głównie do wymiany plików z symulatorem
Z80-PC, ale działa także ze stacjami dyskietek.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
CFLAGS="%{rpmcflags} -I/usr/include/ncurses"
%configure \
	--datarootdir=%{_datadir}/misc \
	--with-libdsk

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/cpm*
%attr(755,root,root) %{_bindir}/fsck.cpm
%attr(755,root,root) %{_bindir}/fsed.cpm
%attr(755,root,root) %{_bindir}/mkfs.cpm
%{_datadir}/misc/diskdefs
%{_mandir}/man1/cpm*.1*
%{_mandir}/man1/fsck.cpm.1*
%{_mandir}/man1/fsed.cpm.1*
%{_mandir}/man1/mkfs.cpm.1*
%{_mandir}/man5/cpm.5*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cpmtools.spec,v $
Revision 1.15  2011/08/31 18:32:46  arekm
- release 3

Revision 1.14  2010/11/16 07:58:52  qboosh
- added link patch to fix ncurses linking
- release 2

Revision 1.13  2010/11/14 21:18:23  qboosh
- updated to 2.13
- updated DESTDIR patch

Revision 1.12  2008/02/29 17:22:42  qboosh
- updated to 2.7 (off-by-one bugfix; GPL v3)
- updated DESTDIR patch

Revision 1.11  2007-02-12 21:23:51  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.9  2006/12/13 18:31:07  qboosh
- updated to 2.6

Revision 1.8  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.7  2005/10/24 20:50:10  qboosh
- "or any later version"

Revision 1.6  2005/10/21 19:49:07  darekr
- GPL v2

Revision 1.5  2005/10/21 19:38:19  qboosh
- updated to 2.5

Revision 1.4  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.3  2004/10/18 22:12:31  kolodko
- up to 2.4

Revision 1.2  2003/08/15 18:03:46  qboosh
- added DESTDIR patch, finished

Revision 1.1  2003/08/14 09:51:07  qboosh
- just saving URLs
